### Constructor

# RB StaticPlaylistSource new_from_xml

#### Declaration [src]

    RBSource*
    rb_static_playlist_source_new_from_xml (
      RBShell* shell,
      const char* name,
      xmlNodePtr node
    )

#### Description [src]

Constructs a new playlist from the given XML document node.

#### Parameters

`shell`

  Type: `RBShell`

  The `RBShell`.

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  Playlist name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`node`

  Type: `xmlNodePtr`

  XML node containing playlist entries.

#### Return value

Type: `RBSource`

Playlist read from XML.

The data is owned by the called function.